
/*
This program creates a very basic touchpad controlled "theremin" style synthesizer on the Arduino
additional hardware:
3 thumbtacks used as touchpads (Left-Mid-Right)
1 speaker with 470 ohm series resistor
1 capacitor 10nF

connections:
Speaker+resistor between pin 12 and ground
Capacitor 10nF between pin A0 and ground
Left Touchpad connected to ground
Mid Touchpad connected to A0
Right Touchpad connected to +5V

example breadboard buildup: picture on www.rs-elc.nl

How to use:
Put your middle finger on the Mid Pad (this is the sensor pad)
By shortly touching the Right Pad (+5V) with adjacent finger the tone goes up (you charge the capacitor)
By shortly touching the Left Pad (gnd) with adjacent finger the tone goes down (you discharge the capacitor)
Touching only the Mid pad the tone remains but you add vibrato (you put modulation on the capacitor)
bonus control: if you move your feet on the floor the static electricity modulates the tone also.

disclaimer: this is a very basic circuit that is quite sensitive to interference from the environment.
*/

// declare pins and variables first
int PadPin = A0;    // define the input pin for reading the touchpad
int SpeakerPin=12; // define the output pin for the speaker (with resistor 470 ohm in series)
int PadRead;   // variable that holds the touchpad reading
int Note;// varable that holds the frequency to be played

void setup() {}// nothing to setup here but you need this setup statement

void loop() {//start of main loop
PadRead = analogRead(PadPin); // read voltage from Pad (0 to 1023 means 0 to 5V)   
if (PadRead>20){// only produce sound if voltage is >0.1V
  Note=5*PadRead;// scale frequency from 100Hz to 5kHz
  tone(SpeakerPin, Note); // try also: tone(SpeakerPin, Note,5 ) for resonance sweep sound type
}
else{noTone (SpeakerPin);} // shut off sound if voltage too low
delay(17); // wait 17ms 
//this specific wait time creates vibrato when touching the Pad, caused by beating with 50Hz from the environment          
// if you are in a country with 60Hz mains use delay (14)
}//end of main loop
